mod wadutils;

fn main() {
    let wad_file = wadutils::load_wad("WADs/doom1.wad");

    println!(
        "WAD Path: {}
        
Header:
    Identifier: {}
    Lump Count: {}
    Initial Offset: {}",
        wadutils::get_wad_path(&wad_file),
        wadutils::get_wad_type(&wad_file),
        wadutils::get_num_lumps(&wad_file),
        wadutils::get_init_offset(&wad_file)
    );
}
